org.jfree.chart.urls

## Interface XYZURLGenerator

All Superinterfaces:
  XYURLGenerator

All Known Implementing Classes:
  StandardXYZURLGenerator

    public interface XYZURLGenerator
    extends XYURLGenerator

Interface for a URL generator for plots that uses data from an `XYZDataset`. Classes that implement this interface are responsible for correctly escaping any text that is derived from the dataset, as this may be user-specified and could pose a security risk.

### Method Summary

Methods
`java.lang.String` `generateURL(XYZDataset dataset, int series, int item)` Generates a URL for a particular item within a series.

### Methods inherited from interface org.jfree.chart.urls.XYURLGenerator

`generateURL`

### Method Detail

#### generateURL

    java.lang.String generateURL(XYZDataset dataset,
                               int series,
                               int item)

Generates a URL for a particular item within a series. As a guideline, the URL should be valid within the context of an XHTML 1.0 document.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `series` - the series index (zero-based).
  `item` - the item index (zero-based).
Returns:
  A string containing the generated URL.